%define name musashi
%define version 1.0.3
#%define srcrel pre6
%define date 20040214

# default encoding is euc
# Used setdocenc.sh
%define docenc 0
# Set this to "1" if you want to use UTF-8
%define utf8 0
# Set this to "1" if you want to use Shift_JIS
%define sjis 0 

Summary: MUSASHI provides a set of commands for data mining and data warehousing
Name: %{name}
Summary(ja): MUSAHI ϥǡޥ˥󥰤ǡϥ󥰸Υޥɷ󶡤ޤ
Version: %{version}
Release: 2vl0.26
Copyright: GPL2
Group: Applications/Databases
Url: http://musashi.sourceforge.ne.jp/
BuildRoot: %{_tmppath}/%{name}-buildroot
#Source0: %{name}-core-%{version}-%{srcrel}.tar.gz
Source0: %{name}-core-%{version}.tar.gz
Source1: %{name}-man-%{date}.tar.gz
Source2: %{name}-module-%{date}.tar.gz
Source3: %{name}-check-%{date}.tar.gz
Source4: xtmvavg.tar.bz2
BuildPrereq: libtool, automake, autoconf, libxml2-devel, zlib-devel, gawk
%if %{docenc}
BuildPrereq: perl
%endif
Requires: libxml2, bash

%description
MUSASHI is a set of commands that enables us to efficiently execute various types of data manipulations in a flexible manner, mainly aiming at data processing of huge amount of data required for data mining. Data format which MUSASHI can deal with is either an XML table written in XML or plain text file with table structure. Maximum data size which MUSASHI can handle ranges from millions to tens of millions of records. 

%description -l ja
MUSASHIϡ顢ӥͥˤǡޥ˥󥰤μ»ܤɬפȤʤ롢
̥ǡΤ˳ȯ줿ޥɷǤMUSASHIоݤȤ
ǡXMLǵҤ줿XMLtable⤷Plain Textˤɽ¤ΥǡǤ
ޥΥڥåˤޤɴΥǡǽǤ

%prep
%setup -q -c -a 1 -a 2

pushd %{name}-core-%{version}
%if %{utf8}
perl -pi -e 's,^#(helpEnc=ja-utf8),$1,' setdocenc.sh
perl -pi -e 's,^#(manEnc=ja-utf8),$1,' setdocenc.sh
perl -pi -e 's,^#(xmlEnc=UTF-8),$1,' setdocenc.sh
./setdocenc.sh
%endif

%if %{sjis}
perl -pi -e 's,^#(helpEnc=ja-sjis),$1,' setdocenc.sh
perl -pi -e 's,^#(manEnc=ja-sjis),$1,' setdocenc.sh
perl -pi -e 's,^#(xmlEnc=Shift_JIS),$1,' setdocenc.sh
./setdocenc.sh
%endif
popd

%build
pushd %{name}-core-%{version}
%configure
make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/ja/man1
mkdir -p %{buildroot}%{_datadir}/musashi

pushd %{name}-core-%{version}
%makeinstall
popd

# install ja man files
pushd %{name}-man-%{date}
cp en/*.1 %{buildroot}%{_mandir}/man1/
cp ja-euc/*.1 %{buildroot}%{_mandir}/ja/man1
popd

# install modules' shell script
pushd %{name}-module-%{date}
install ja-euc/*.sh %{buildroot}%{_bindir}

# install xtmvavg.sh from [MUSASHI-users:294]
tar xzvf %{SOURCE4}
install xtmvavg/ja-euc/xtmvavg.sh %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/musashi/xtmvavg
install xtmvavg/ja-euc/test.sh %{buildroot}%{_datadir}/musashi/xtmvavg
install -m 644 xtmvavg/ja-euc/*.xt %{buildroot}%{_datadir}/musashi/xtmvavg
popd

# install check script to /usr/share/musashi
cd %{buildroot}%{_datadir}/musashi
tar xzvf %{SOURCE3} 

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root)

%doc %{name}-core-%{version}/{AUTHORS,COPYING,ChangeLog,README,INSTALL,NEWS}
%{_libdir}/*
%{_includedir}/musashi.h
%{_includedir}/musashi/*.h
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/ja/man1/*
%{_datadir}/musashi/*

%changelog
* Sat May 22 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-2vl0.26
- build for VineLinux-2.x
- added xtmvavg from MUSASHI-users:294
- installed musashi-check-20040214 in %{_datadir}/musashi
- added %%claen, %%post and %%postun

* Thu Feb 19 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-1vl0.26
- New upstream release
	-- musashi-core-1.0.3
- for VineLinux-2.6

* Mon Feb 16 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre6vl1
- new upstream vesion
	-- source file were separated musashi-core, musashi-man, musashi-module
	-- added musashi-check
 
* Wed Feb 04 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre4vl2
- removed BuildArch tag

* Mon Feb 02 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre4vl1
- new upstream version
- fixed spec file
	-- moved musashi.h to /usr/include/
- enabled to select using encoding

* Sat Jan 17 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre3vl1
- new upstream version (musashi-1.0.3-pre3)
- added INSATLL, NEWS to doc dir
- built for VineSeed

* Thu Jan 15 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre2vl0.26.1
- fixed man dir of ja-euc
- added bash to Requires

* Fri Jan 09 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre2vl0.26
- New upstream version
	-- noused libinconv library

* Thu Jan 08 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre1vl0.26
- rebuilt for VineLinux-2.6
- fixed %%files

* Wed Jan 07 2004 Satoshi MACHINO <machino@vinelinux.org> 1.0.3-0.pre1vl1
- new upstream version
	-- musashi-1.0.3-pre1

* Tue Sep 30 2003 Satoshi MACHINO <machino@vinelinux.org> 1.0.2-0vl2
- Added BuildPrereq and Requires
- fixed typo in changelog

* Mon Sep 29 2003 Satoshi MACHINO <machino@vinelinux.org> 1.0.2-0vl1
- intial release

